Bug 244356 - Review Request: xapian-bindings - Bindings for Xapian
Summary: Review Request: xapian-bindings - Bindings for Xapian
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 244357 244389
TreeView+ depends on / blocked
 
Reported: 2007-06-15 09:13 UTC by Marco Pesenti Gritti
Modified: 2010-06-11 04:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 20:33:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marco Pesenti Gritti 2007-06-15 09:13:56 UTC
Spec URL: http://dev.laptop.org/~marco/xapian-bindings.spec
SRPM URL: http://dev.laptop.org/~marco/xapian-bindings-0.9.10.1-2.2.svn8397.src.rpm
Description:
Xapian is an Open Source Probabilistic Information Retrieval Library. It offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for scripts which use Xapian.

Comment 1 Olly Betts 2007-06-15 17:42:05 UTC
For the same reasons as for bug#244355, please package Xapian 1.0.1 instead.

Comment 3 Parag AN(पराग) 2007-06-19 09:41:56 UTC
E: xapian-bindings no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.


Comment 4 Parag AN(पराग) 2007-06-19 09:55:51 UTC
any reason to split docs in xapian-bindings ??
why not to include in in xapian-bindings-python

Comment 5 Marco Pesenti Gritti 2007-06-19 10:38:47 UTC
xapian-bindings also contains bindings for csharp, java, ruby etc. We are not
building them right now but we might want to do it in the future. I'd happily do
away with the doc only package, just not sure how to do it since the docs are
common to all the bindings.

About noarch. If I add "BuildArch: noarch" to the main package the build fails
because the debug info files are created but not packaged. I can only make it
work by adding "BuildArch: i386" to the python subpackage, which obviously is
wrong. Suggestions on how to fix it?

Comment 6 Marco Pesenti Gritti 2007-06-19 11:23:47 UTC
As discussed on irc, I moved the docs file to the python package. We are not
building the base xapian-bindings package anymore.

http://dev.laptop.org/~marco/xapian-bindings.spec
http://dev.laptop.org/~marco/xapian-bindings-1.0.1-1.src.rpm



Comment 7 Parag AN(पराग) 2007-06-19 12:01:15 UTC
remove 
Requires: %{name} = %{version}
and bump release and update links


Comment 9 Parag AN(पराग) 2007-06-19 12:27:20 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
3280974b85acf143d667866a8a4a4d7c  xapian-bindings-1.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
APPROVED.


Comment 10 Marco Pesenti Gritti 2007-06-19 12:32:48 UTC
New Package CVS Request
=======================
Package Name: xapian-bindings
Short Description: Bindings for the Xapian Information Retrieval Library
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com

Comment 11 Jason Tibbitts 2007-06-19 19:20:15 UTC
CVS done.

Comment 12 Marco Pesenti Gritti 2007-08-07 17:12:50 UTC
Package Change Request
======================
Package Name: xapian-bindings
New Branches: F-7
Updated Fedora Owners: mpg@redhat.com, adel.gadllah@gmail.com

Comment 13 Kevin Fenzi 2007-08-08 00:09:47 UTC
cvs done.

Comment 14 Peter Robinson 2010-06-10 19:52:03 UTC
Package Change Request
======================
Package Name: xapian-bindings
New Branches: EL-6
Owners: pbrobinson sdz

Comment 15 Kevin Fenzi 2010-06-11 04:26:20 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.